/*
 *  main.c
 *  Outputs "Hello world!" to the serial line and
 *  toggle-blinks the LEDs.
 *
 *  Created by Stefan Robl on 21.01.06.
 *  Copyright 2006 Stefan Robl <stefan@qdev.de>. All rights reserved.
 *
 */

#include <hidef.h>      // for EnableInterrupts macro
#include "derivative.h" // include peripheral declarations
#include "gb60_board.h"

void main(void) 
{
    EnableInterrupts; 
    SOPT_COPE = 0;
    
    // initialize the hardware
    gb60_serialInit();
    gb60_initLEDs();
    gb60_initADC(0xff);
    gb60_initFrequency();
    gb60_init_PWM_Timer();
    
    // activate the RED led
    gb60_setLEDs(GB60_LED_RED, GB60_LEDS_MASK);

    for(;;) 
    {
        // 250 ms delay
        gb60_delayUsingTimer(0, 250); 
        
        // toggle RED and GREEN leds
        gb60_toggleLEDs(GB60_LEDS_MASK);
        
        // output the string to the serial line
        gb60_serialPutStr("Hello world!\n");
    }
}
