/*
 *  vectors08.c
 *
 *  Written 2005 by Stefan Robl <stefan@qdev.de>
 *
 */

extern void isrT1OVF(void);
extern void isrTBM(void);
extern void isrSerialRX(void);

/* Dummy Interrupt Handler
 * Place a Breakpoint here in case you are looking for spurious Interrupts
 */
#pragma interrupt_handler isrDummy
void isrDummy(void) 
{
}

/* 
 * This is the vector table for the GP32 device
 */
#pragma abs_address:0xffdc

#pragma interrupt_handler isrDummy,isrTBM,isrSerialRX
void (* const _vectab[])(void) = 
{
	isrTBM,      // Timebase            
	isrDummy,    // ADC                 
	isrDummy,    // KBI                 
	isrDummy,    // SCI TC/TE           
	isrSerialRX, // SCI RF/IDLE         
	isrDummy,    // SCI PE/FE/NF/OR     
	isrDummy,    // SPI TE              
	isrDummy,    // SPI MOD/OVR/RF      
	isrDummy,    // TIM2 OVR          
	isrDummy,    // TIM2 channel 1    
	isrDummy,    // TIM2 channel 0    
	isrDummy,    // TIM1 OVR          
	isrDummy,    // TIM1 channel 1    
	isrDummy,    // TIM1 channel 0    
	isrDummy,    // CGM              
	isrDummy,    // IRQ              
	isrDummy     // SWI                 
	// RESET defined in crt08.o 
};
#pragma end_abs_address
